package com.example.duplicate.service;

import com.example.duplicate.controller.param.updateTaskDto;
import com.example.duplicate.controller.param.FileUpload;
import com.example.utils.CommonResult;
import org.springframework.web.multipart.MultipartFile;

/**
 * @InterfaceName TaskService
 * @Description 任务接口
 * @Author linjj
 * @Date 2024/8/5 14:44
 * @Version 1.0
 */
public interface TaskService {

    /**
     * @description: 获取任务
     * @params:  collectId
     * @return:  CommonResult
     * @author linjj
     * @date: 2024/8/5 14:41
     */
    CommonResult GetTask(String collectId);
    /**
     * @description: 补偿患者所有采集任务
     * @params:  masterId
     * @return:  CommonResult
     * @author linjj
     * @date: 2024/8/5 15:32
     */
    CommonResult repairTask(String masterId);
    /**
     * @description: 补偿患者单个采集器任务
     * @params: masterId
     * @params: collectId
     * @return: CommonResult
     * @author linjj
     * @date: 2024/8/5 17:25
     */
    CommonResult repairTaskByCollectId(String masterId,String collectId);
    /**
     * @description: 根据采集器id患者id删除单据
     * @params: masterId
     * @params: collectId
     * @author linjj
     * @date: 2024/12/26 14:32
     */
    CommonResult delFileBySource(String masterId,String collectId);
    /**
     * @description: 维护任务表接口
     * @params:  updateTaskDto
     * @return: CommonResult
     * @author linjj
     * @date: 2024/8/6 9:27
     */
    CommonResult updateTask(updateTaskDto dto);
    /**
     * @description: 文件上传接口
     * @params:  file
     * @params:  FileUpload
     * @return:  Boolean
     * @author linjj
     * @date: 2024/8/6 14:22
     */
    Boolean fileUpload(MultipartFile file, FileUpload dto);
    /**
     * @description: 补偿7月份后医嘱历史病历
     * @author linjj
     * @date: 2024/8/19 4:32
     */
    CommonResult compensate();
}
